Skip to content
Start here

Edit Credential

PATCH/accounts/{account_id}/vuln_scanner/credential_sets/{credential_set_id}/credentials/{credential_id}

Updates a credential with only the provided fields; omitted fields remain unchanged.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Path ParametersExpand Collapse
account_id: string

Identifier.

maxLength32
credential_set_id: string
formatuuid
credential_id: string
formatuuid
Body ParametersJSONExpand Collapse
location: optional "header" or "cookie"

Where the credential is attached in outgoing requests.

One of the following:
"header"
"cookie"
location_name: optional string

Name of the header or cookie where the credential is attached.

name: optional string

Human-readable name.

value: optional string

The credential value. Write-only. Never returned in responses.

ReturnsExpand Collapse
errors: array of { code, message, documentation_url, source }
code: number
minimum1000
message: string
documentation_url: optional string
source: optional { pointer }
pointer: optional string
messages: array of { code, message, documentation_url, source }
code: number
minimum1000
message: string
documentation_url: optional string
source: optional { pointer }
pointer: optional string
success: true

Whether the API call was successful.

result: optional { id, credential_set_id, location, 2 more }

A credential attached to API requests during scanning. The credential value is write-only and never returned in responses.

id: string

Credential identifier.

formatuuid
credential_set_id: string

Parent credential set identifier.

formatuuid
location: "header" or "cookie"

Where the credential is attached in outgoing requests.

One of the following:
"header"
"cookie"
location_name: string

Name of the header or cookie where the credential is attached.

name: string

Human-readable name.

result_info: optional unknown

Edit Credential

curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/vuln_scanner/credential_sets/$CREDENTIAL_SET_ID/credentials/$CREDENTIAL_ID \
    -X PATCH \
    -H 'Content-Type: application/json' \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN" \
    -d '{
          "location_name": "Authorization",
          "name": "Admin API key",
          "value": "Bearer EXAMPLE_TOKEN"
        }'
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "credential_set_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "location": "header",
    "location_name": "Authorization",
    "name": "Admin API key"
  },
  "result_info": {}
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "credential_set_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "location": "header",
    "location_name": "Authorization",
    "name": "Admin API key"
  },
  "result_info": {}
}